@charset "UTF-8";

#login {
    padding-top: calc(var(--base-size) * 100);
    padding-bottom: calc(var(--base-size) * 80);
}

.login__form-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: calc(var(--base-size) * 40);
    background-color: var(--color-secondary);
    padding: calc(var(--base-size) * 47) calc(var(--base-size) * 25);
    border-radius: calc(var(--base-size) * 16);
}
.login__form-container::before {
    content: "";
    display: block;
    width: calc(var(--base-size) * 28);
    height: calc(var(--base-size) * 36);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url(../img/login/icon-lock.svg);
}
.login__form {
    align-self: stretch;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: calc(var(--base-size) * 20);
}
.login__form-item {
    display: flex;
    flex-direction: column;
}
.login__form-input {
    width: 100%;
    min-height: calc(var(--base-size) * 50);
    padding: calc(var(--base-size) * 12) calc(var(--base-size) * 18);
    border-radius: calc(var(--base-size) * 8);
    background-color: #fff;
    font-size: calc(var(--base-size) * 17);
}
.login__form-button {
    width: 87.5%;
    height: calc(var(--base-size) * 64);
    margin: calc(var(--base-size) * 20) auto calc(var(--base-size) * 6) auto;
    padding: 0 calc(var(--base-size) * 18);
    border-radius: 9999px;
    background-color: var(--color-accent);
    color: #fff;
    font-size: calc(var(--base-size) * 18);
    line-height: calc(var(--base-size) * 28);
    text-align: center;
    cursor: pointer;
}
.login__form-errors {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: calc(var(--base-size) * 2);
    margin-top: calc(var(--base-size) * 6);
}
.login__form-error-item {
    color: #f00;
    font-size: calc(var(--base-size) * 12);
}

@media (min-width: 768px)
{
    #login {
        padding-top: calc(var(--base-size) * 124);
        padding-bottom: 0;
    }

    .login__form-container {
        gap: calc(var(--base-size) * 50);
        max-width: calc(var(--base-size) * 500);
        margin: 0 auto;
        padding: calc(var(--base-size) * 66) calc(var(--base-size) * 75);
        border-radius: calc(var(--base-size) * 16);
    }
    .login__form-container::before {
        width: calc(var(--base-size) * 32);
        height: calc(var(--base-size) * 44);
    }
    .login__form {
        gap: calc(var(--base-size) * 20);
    }
    .login__form-input {
        min-height: calc(var(--base-size) * 50);
        padding: calc(var(--base-size) * 12) calc(var(--base-size) * 18);
        border-radius: calc(var(--base-size) * 8);
        font-size: calc(var(--base-size) * 17);
    }
    .login__form-button {
        width: 70%;
        height: calc(var(--base-size) * 64);
        margin: calc(var(--base-size) * 60) auto calc(var(--base-size) * 10) auto;
        padding: 0 calc(var(--base-size) * 17);
        font-size: calc(var(--base-size) * 20);
    }
    .login__form-errors {
        gap: calc(var(--base-size) * 2);
        margin-top: calc(var(--base-size) * 8);
    }
    .login__form-error-item {
        font-size: calc(var(--base-size) * 14);
    }
}





/* 背景ペイント1 */

.section__bg--ex-01 {
    height: calc(100% + calc(var(--base-size) * 120));
}

.section__bg-img.--sbg-01 {
    top: calc(var(--base-size) * 20);
    transform: rotate(160deg);
}
.section__bg-img.--sbg-02 {
    top: calc(var(--base-size) * 470);
}
.section__bg-img.--sbg-03 {
    top: calc(var(--base-size) * 580);
    transform: rotate(210deg);
}

@media (min-width: 768px)
{
    .section__bg--ex-01 {
        height: calc(100% + calc(var(--base-size) * 200));
    }

    .section__bg-img.--sbg-01 {
        top: calc(var(--base-size) * 40);
        transform: rotate(160deg);
    }
    .section__bg-img.--sbg-02 {
        top: calc(var(--base-size) * 500);
        left: calc(var(--base-size) * -120);
        width: calc(var(--base-size) * 351);
    }
    .section__bg-img.--sbg-03 {
        width: calc(var(--base-size) * 358);
        top: calc(var(--base-size) * 178);
        right: calc(var(--base-size) * -106);
        transform: rotate(210deg);
    }
}
